#
# spec file for package gap-agt
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-agt
Version:        0.3.1
Release:        1.3
Summary:        GAP: Algebraic Graph Theory
License:        Artistic-2.0
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/agt/
#Git-Clone:     https://github.com/gap-packages/agt
Source:         https://github.com/gap-packages/AGT/releases/download/v%version/AGT-%version.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.10
Requires:       gap-design >= 1.7
Requires:       gap-digraphs >= 0.15.2
Requires:       gap-gapdoc >= 1.6
Requires:       gap-grape >= 4.8

%description
The AGT package contains a methods used for the determination of
various algebraic and regularity properties of graphs, as well as
certain substructures of graphs. The package also contains a library
of strongly regular graphs, intended to be a resource for
computational experiments.

%prep
%autosetup -n AGT-%version
# duh
find . -type f -name "*.swp" -print -delete

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.3.1
  * Janitorial changes only
* Sun Oct  2 2022 Jan Engelhardt <jengelh@inai.de>
- Initial package (version 0.2) for build.opensuse.org
